import setAttributes from '../utils/setAttributes';
import normalizeColor from '../utils/normalizeColor';

/**
 * Create SVGTextElement from an annotation definition.
 * This is used for anntations of type `textbox`.
 *
 * @param {Object} a The annotation definition
 * @return {SVGTextElement} A text to be rendered
 */
export default function renderImage(a) {
  // Text should be rendered at 0 degrees relative to
  // document rotation
  // console.log('notre element', a.html)
  let image = document.createElementNS('http://www.w3.org/2000/svg', 'image');
  setAttributes(image, {
    x: a.x,
    y: a.y,
    fill: normalizeColor(a.color || '#000'),
    fontSize: a.size,
    transform: `rotate(${a.rotation})`,
    style: 'white-space: pre',
    href: a.html
  });
  console.log('NOTRE ELEMENT IMAGE', image);
  return image;
}
